const utils = require('../utils.js');
const express = require('express');
const db = require(utils.path.join(utils.RT_DB_PATH, 'users.js'));
const auth = require(utils.path.join(utils.RT_UTILS_PATH, 'auth_utils.js'));

const router = express.Router();

/* GET users listing. */
router.get('/', function(req, res, next) {
    token = req.cookies.token;
    if (typeof token === 'string') {
        return auth.verifyToken(token, (err, data) => {
            if (err) {
                res.redirect('/users/login');
                return;
            }
            res.sendFile(utils.path.join(utils.VIEWS_PATH, 'users/users.html'));
        })
    }
    res.redirect('/users/login');
});

/**
 * GET /users/login
 * @param {*} req 
 * @param {*} res 
 * @param {*} next 
 */
router.get('/login', function(req, res, next) {
    res.sendFile(utils.path.join(utils.VIEWS_PATH, 'users/login.html'));
})

router.use('/admin', function(req, res, next) {
    res.send('admin');
});

// WILL BE FILLING
router.get('/register', function(req, res, next) {
    res.send('respond with a resource');
})
router.get('/logout', function(req, res, next) {
    res.send('respond with a resource');
})
router.get('/profile', function(req, res, next) {
    res.send('respond with a resource');
})
router.get('/profile/edit', function(req, res, next) {
    res.send('respond with a resource');
})
router.get('/profile/edit/password', function(req, res, next) {
    res.send('respond with a resource');
})
router.get('/profile/edit/username', function(req, res, next) {
    res.send('respond with a resource');
})
router.get('/profile/edit/email', function(req, res, next) {
    res.send('respond with a resource');
})
router.get('/profile/edit/phone', function(req, res, next) {
    res.send('respond with a resource');
})
router.get('/profile/edit/website', function(req, res, next) {
    res.send('respond with a resource');
})

module.exports = router;
